profile
viewpoint

expertcxxmoon/boost 0

Super-project for modularized Boost

expertcxxmoon/json 0

A C++11 or library for parsing and serializing JSON to and from a DOM container in memory.

expertcxxmoon/stanford-algs 0

Example Test Cases for Stanford's Algorithms Coursera Specialization

expertcxxmoon/tensorflow 0

An Open Source Machine Learning Framework for Everyone

expertcxxmoon/thread 0

Boost.org thread module

startedboostorg/json

started time in 7 days

issue commentspyder-ide/spyder

spyder error when input numeric values

Not sure about this issue is fixed in latest version. I already disabled kite.

expertcxxmoon

comment created time in 3 months

issue openedspyder-ide/spyder

spyder error when input numeric values

Description

What steps will reproduce the problem?

<!--- You can use Markdown here --->

just input following codes: print(hash_diff(1, 1.0)) print(hash_diff(1.0, 1.0001))

Traceback

  File "/home/yanliang/anaconda3/lib/python3.8/site-packages/spyder/plugins/editor/extensions/snippets.py", line 229, in _on_key_pressed
    self._process_text(text)
  File "/home/yanliang/anaconda3/lib/python3.8/site-packages/spyder/plugins/editor/extensions/snippets.py", line 52, in wrapper
    return f(self, *args, **kwargs)
  File "/home/yanliang/anaconda3/lib/python3.8/site-packages/spyder/plugins/editor/extensions/snippets.py", line 237, in _process_text
    self.insert_text(text, line, column)
  File "/home/yanliang/anaconda3/lib/python3.8/site-packages/spyder/plugins/editor/extensions/snippets.py", line 379, in insert_text
    position = ((x, y), (x, y + 1))
TypeError: can only concatenate tuple (not "int") to tuple

Versions

  • Spyder version: 4.2.5
  • Python version: 3.8.5
  • Qt version: 5.9.7
  • PyQt5 version: 5.9.2
  • Operating System: Linux 5.11.0-27-generic

Dependencies


# Mandatory:
atomicwrites >=1.2.0            :  1.4.0 (OK)
chardet >=2.0.0                 :  4.0.0 (OK)
cloudpickle >=0.5.0             :  1.6.0 (OK)
diff_match_patch >=20181111     :  20200713 (OK)
intervaltree >=3.0.2            :  3.1.0 (OK)
IPython >=7.6.0                 :  7.26.0 (OK)
jedi =0.17.2                    :  0.17.2 (OK)
jsonschema >=3.2.0              :  3.2.0 (OK)
keyring >=17.0.0                :  23.0.1 (OK)
nbconvert >=4.0                 :  6.1.0 (OK)
numpydoc >=0.6.0                :  1.1.0 (OK)
parso =0.7.0                    :  0.7.0 (OK)
pexpect >=4.4.0                 :  4.8.0 (OK)
pickleshare >=0.4               :  0.7.5 (OK)
psutil >=5.3                    :  5.8.0 (OK)
pygments >=2.0                  :  2.10.0 (OK)
pylint >=1.0                    :  2.6.0 (OK)
pyls >=0.36.2;<1.0.0            :  0.36.2 (OK)
pyls_black >=0.4.6              :  0.4.6 (OK)
pyls_spyder >=0.3.2             :  0.3.2 (OK)
qdarkstyle >=2.8;<3.0           :  2.8.1 (OK)
qtawesome >=0.5.7               :  1.0.2 (OK)
qtconsole >=5.0.3               :  5.1.0 (OK)
qtpy >=1.5.0                    :  1.10.0 (OK)
rtree >=0.8.3                   :  0.9.7 (OK)
setuptools >=39.0.0             :  52.0.0.post20210125 (OK)
sphinx >=0.6.6                  :  4.0.2 (OK)
spyder_kernels >=1.10.2;<1.11.0 :  1.10.2 (OK)
textdistance >=4.2.0            :  4.2.1 (OK)
three_merge >=0.1.1             :  0.1.1 (OK)
watchdog >=0.10.3;<2.0.0        :  1.0.2 (OK)
xdg >=0.26                      :  0.27 (OK)
zmq >=17                        :  22.2.1 (OK)

# Optional:
cython >=0.21                   :  0.29.24 (OK)
matplotlib >=2.0.0              :  3.4.2 (OK)
numpy >=1.7                     :  1.18.5 (OK)
pandas >=1.1.1                  :  1.3.2 (OK)
scipy >=0.17.0                  :  1.4.1 (OK)
sympy >=0.7.3                   :  1.8 (OK)

created time in 3 months

more